[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomDrawGrid.OnColRowInserted

Event handler signalled when a column or row is inserted into the grid.

## Declaration

Source position: grids.pas line 1545

`public property TCustomDrawGrid.OnColRowInserted : TGridOperationEvent read FOnColRowInserted write FOnColRowInserted;`

## Description

Signalled from the NotifyColRowChange method (when assigned) when an insert notification is performed. It occurs after the column or row has been inserted by calling the InsertColRow method in the internal virtual grid for the class instance.

## See also

TCustomDrawGrid.NotifyColRowChange |  | Performs a notification when a column or row has been changed.
TVirtualGrid.InsertColRow |  | Inserts either a column or a row at the specified index position.
TGridOperationEvent |  | Defines the event handler signalled when rows or columns are added, deleted or moved in a grid.